<div class="container">
  <form (ngSubmit)="form.valid && login()" #form="ngForm" autocomplete="nope">



    <div class="row login-container">

      <div class="col-md-6 no-p">
        <img class="login-banner" src="assets/images/rectangle-copy.jpg" srcset="assets/images/rectangle-copy@2x.jpg 2x,
          assets/images/rectangle-copy@3x.jpg 3x">
      </div>

      <div class="col-md-6">
        <div class="row login-form-container">
          
          <div class="col-12">
            <h4 class="dark-text1">Welcome back!</h4>
            <div class="dark-text2">Please login to access your Spaces Dashboard</div>
          </div>

          

          <div class="col-12 mt25">
            <div class="form-group">
              <label class="label" for="email">Username</label>
              <input #email="ngModel" name="email" [(ngModel)]="user.email" [required]="true" placeholder="Enter Your Email" type="text"
                class="form-control">
            </div>
          </div>

          <div class="col-12">

            <div class="form-group">
              <label class="label" for="exampleInputEmail1">Password</label>
              <input #password="ngModel" name="password" [(ngModel)]="user.password" [required]="true" placeholder="Enter Your Password"
                type="Password" class="form-control">
            </div>

          </div>

          <div class="col-12">
            <div class="row">
              <div class="col-6 purple-text">
                Forget Password?
              </div>
              <div class="col-6 d-flex justify-content-end">
                  <input type="submit" value="Login" [disabled]="form.invalid" class="btn custom-btn">
              </div>
            </div>
          </div>

          <div class="col-12">
            {{errorMessage}}
          </div>

        </div>
      </div>


    </div>
  </form>

</div>